Subject: Re: bug#40988: 26.3; keyboard macro with input-method inserts characters twice

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 May 2020 07:09:08 +0300

> From: "Matsievskiy S.V." <[email-masked]>
> Date: Thu, 30 Apr 2020 22:38:25 +0300
> 
> When I define keyboard macro with some input method enabled (lets say,
> `english-dvorak`), `self-insert` commands are repeated twice.
> 
> For example, if I define macro like this:
> `F3 insert chars asdf F4` and then hit `F4`, I will get the following
> line:
> ```
> insert chars asdf
> ```
> 
> But if I'll use some input method:
> `F3 insert chars C-\ asdf F4`, I will get:
> ```
> insert chars aaooeeuu
> ```
> 
> Characters that were typed with `english-dvorak` input method enabled
> are repeated twice when macro is called. This happens with all input
> methods.

Thanks, this is already fixed in what will become Emacs 27.